# -*- coding: utf-8 -*-
# Generated by Django 1.11.4 on 2018-05-21 09:35
from __future__ import unicode_literals

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='UserProfile',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('password', models.CharField(max_length=128, verbose_name='password')),
                ('last_login', models.DateTimeField(blank=True, null=True, verbose_name='last login')),
                ('email', models.EmailField(max_length=255, unique=True, verbose_name='email address')),
                ('name', models.CharField(max_length=32)),
                ('is_active', models.BooleanField(default=True)),
                ('is_admin', models.BooleanField(default=False)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='Disks',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('InstanceId', models.CharField(max_length=128)),
                ('Type', models.CharField(max_length=12)),
                ('DiskId', models.CharField(max_length=64)),
                ('ZoneId', models.CharField(max_length=24)),
                ('Device', models.CharField(max_length=24, null=True)),
                ('Category', models.CharField(max_length=24)),
                ('Size', models.SmallIntegerField()),
                ('DiskName', models.CharField(max_length=24, null=True)),
                ('Status', models.CharField(max_length=12)),
                ('RenewalPrice', models.SmallIntegerField(null=True)),
                ('DiskChargeType', models.CharField(max_length=12)),
            ],
        ),
        migrations.CreateModel(
            name='Ecses',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('InstanceId', models.CharField(max_length=128, unique=True)),
                ('ZoneId', models.CharField(max_length=64)),
                ('InstanceType', models.CharField(max_length=64)),
                ('InnerIpAddress', models.GenericIPAddressField(null=True)),
                ('PublicIpAddress', models.GenericIPAddressField(null=True)),
                ('PrivateIpAddress', models.GenericIPAddressField(null=True)),
                ('EipAddress', models.GenericIPAddressField(null=True)),
                ('InstanceName', models.CharField(max_length=64, unique=True)),
                ('InternetMaxBandwidthIn', models.SmallIntegerField()),
                ('InternetMaxBandwidthOut', models.SmallIntegerField()),
                ('HostName', models.CharField(max_length=64)),
                ('Status', models.CharField(max_length=12, null=True)),
                ('Cpu', models.SmallIntegerField()),
                ('Memory', models.SmallIntegerField()),
                ('RenewalPrice', models.SmallIntegerField(null=True)),
                ('InstanceNetworkType', models.CharField(max_length=24)),
                ('InternetChargeType', models.CharField(max_length=24)),
                ('InstanceChargeType', models.CharField(max_length=24)),
                ('SshPort', models.SmallIntegerField(default=6677)),
            ],
        ),
        migrations.CreateModel(
            name='Processes',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('Name', models.CharField(max_length=64)),
                ('Status', models.BooleanField(default=False)),
                ('Pid', models.CharField(max_length=8, null=True)),
                ('Dir', models.CharField(max_length=1024, null=True)),
                ('StartCmd', models.CharField(max_length=1024, null=True)),
                ('RestartCmd', models.CharField(max_length=1024, null=True)),
                ('StopCmd', models.CharField(max_length=1024, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='Pubkey',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('KeyName', models.CharField(max_length=24)),
                ('KeyValue', models.CharField(max_length=2048)),
                ('Host', models.ManyToManyField(blank=True, to='backend.Ecses')),
            ],
        ),
        migrations.CreateModel(
            name='Tags',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('TagKey', models.CharField(max_length=32, unique=True)),
                ('TagValue', models.CharField(max_length=32, null=True)),
            ],
        ),
        migrations.AddField(
            model_name='ecses',
            name='Process',
            field=models.ManyToManyField(to='backend.Processes'),
        ),
        migrations.AddField(
            model_name='ecses',
            name='Tag',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='backend.Tags'),
        ),
        migrations.AddField(
            model_name='ecses',
            name='User',
            field=models.ManyToManyField(to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='disks',
            name='MountInstance',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='backend.Ecses'),
        ),
        migrations.AddField(
            model_name='disks',
            name='Tag',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='backend.Tags'),
        ),
    ]
